function u = MG(l,r)

global hArr xArr nArr AArr omegaArr IArr smoothingSteps

if l==1
    u = AArr{1}\r;
else
    
    u = zeros(nArr{l},1);
    
    for i=1:smoothingSteps
        u = u + omegaArr{l} .* r;
        r = r - omegaArr{l} .* (AArr{l}*r);
    end

    rCoarse = IArr{l}'*r;
    wCoarse = MG(l-1,rCoarse);
    
    u = u + IArr{l}*wCoarse;
    r = r - AArr{l}*IArr{l}*wCoarse;

    for i=1:smoothingSteps
        u = u + omegaArr{l} .* r;
        r = r - omegaArr{l} .* (AArr{l}*r);
    end

end
