function [A,b] = MKPsystem(h)

% diskretizace ctverce (0,1) x (0,1)
[nodes,elemNodes,ID,IN] = discret(0,1,0,1,h);
nelems = size(elemNodes,2);

% plotgrid_L1tri(nodes,elemNodes,1);

% diskretizace koeficientu tuhosti a zatizeni
k = 1 * ones(1,nelems);
f = 1 * ones(1,nelems);
gn = 0; % homogenni Neumannova okr. podminka

% MKP
[A,AN,b] = assemble(nodes,elemNodes,ID,IN,k,f,gn);

% % reseni
% u = A\b;
% draw_id_L1tri(nodes,elemNodes,u);