function [A,b] = priklad2d_Helmholtz(x,elemNodes,nodalID,k,rhs_func);

nnodes = size(x,2);
nelems = size(elemNodes,2);

f = zeros(1,nelems);
for i=1:nelems
    elemi = elemNodes(:,i);
    massPointi = (1/3)*sum(x(:,elemi),2);
    f(i) = feval(str2func(rhs_func),massPointi);
end

[A,AN,b] = assemble_Helmholtz(x,elemNodes,nodalID,[],ones(1,nelems),(k^2),f,0);
