function MG1d_setup(L)

global hArr xArr nArr AArr bArr omegaArr IArr

h = 1;

for l=1:L
    h = h/2;
    hArr{l} = h;
    
    x = 0:h:1;
    xArr{l} = x;
    
    n = length(x);
    nArr{l} = n;
    
    [A,b] = priklad1d(h,'rhs');
    AArr{l} = A;
    bArr{l} = b;
       
%     omega1 = 1/(4/h);
%     n1 = floor(n/2);
%     omega2 = omega1/2;
%     omega = [omega1*ones(n1,1);omega2*ones(n-n1,1)];
    omega = 1/(4/h);
    omegaArr{l} = omega;
    
    if l>1
        I = sparse(nArr{l},nArr{l-1});
        for i=1:nArr{l-1}
            I(2*i-1,i) = 1;
        end
        for i=1:nArr{l}-nArr{l-1}
            I(2*i,[i,i+1]) = 1/2;
        end
        IArr{l} = I;
    end
end
