function priklad()

h = 0.1;
[nodes,elements,ID,IN] = discret(0,1,0,1,h);
nnodes = size(nodes,2);
nelems = size(elements,2);
nelemsNeumann = size(IN,2);

k = ones(1,nelems);
f = zeros(1,nelems);
for i=1:nelems
    nodei = (1/3)*sum(nodes(:,elements(:,i)),2);
    f(i) = 5*sin(pi*nodei(1))*cos(4*pi*nodei(2)) + 1;
end
uD = zeros(nnodes,1);
for i=1:nnodes
    nodei = nodes(:,i);
    uD(i) = nodei(1)^2;
end
gN = zeros(1,nelemsNeumann);

[A,AN,b] = assemble(nodes,elements,ID,IN,k,f,gN);

% homogenni Dirichletova podminka
uH = A\b;

% nehomogenni Dirichletova podminka
%
%   TAKTO NE
% for i=1:max(size(ID))
%     b(ID(i)) = 1/A(ID(i),ID(i));
% end
%
b = b - AN*uD;
b(ID) = 0;
uH = A\b;
u = uH+uD;
draw_id_L1tri(nodes,elements,u);
