function [A,b] = priklad1d_konvektivita(h,func,k)

x = 0:h:1;
n = length(x);
A = sparse(n,n);
b = zeros(n,1);

for i=1:n-1
    e = [i,i+1];
%     if i<n/2
        A(e,e) = A(e,e) + [1/h,-1/h;-1/h,1/h];
        A(i,i+1) = A(i,i+1) + k/2;
        A(i+1,i) = A(i+1,i) - k/2;
%     else
%         A(e,e) = A(e,e) + 2 * [1/h,-1/h;-1/h,1/h];
%     end
    xMassi = (x(i)+x(i+1))/2;    
    b(e) = b(e) + [0.5;0.5]*h*feval(func,xMassi);
end
% idx = min(find(x>0.2));
% b(idx) = b(idx) + 20;

A(1,2:n) = 0;
A(2:n,1) = 0;
A(n,1:n-1) = 0;
A(1:n-1,n) = 0;
b(1) = 0;
b(n) = 0;